﻿.index-banner-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
}
.index-banner-box,
.index-banner-list,
.index-video-box,
.index-video,
.index-video-bg{
     height: 100vh;
}
.index-banner-list-box{
    width: 100%;
    display: block;
    position: relative;
    
}
.index-banner-list{
    width: 100%;
    display: block;
     position: relative;
}
.index-banner-list span{
    height: 100%;
    width: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.index-banner{
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
}

.index-banner-slong,
.index-video-slong{
    width: 100%;
    text-align: center;
    font-size: 36px;
    color: #FFF;
    display: block;
    position: absolute;
    z-index: 9;
    top: 48%;
    text-shadow: rgba(0,0,0,0.6) 2px 2px 2px;
    cursor: context-menu;
}
.index-video-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #000;
    opacity: 0.4;
    z-index: 5;
}
.index-video-box{
    width: 100%;
    display: block;
    position: relative;
}
.index-video{
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 5;
    display: block;
}

.index-video-bg{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.index-banner-slong-box{
    width: 100%;
    display: block;
    position: absolute;
    top: 45%;
    left: 0;
    z-index: 5;
    pointer-events: none;
    text-align: center;
}
.index-video-open{
    display: none;
}

/*-----------banner2-------------*/
.banner_style2 .banner-box{
    width: 100%;
    margin-top: 76px;
    height: 400px;
    display: block;
}
.banner_style2 .index-banner-list{
    width: 100%;
    height: 100%;
    position: relative;
    display:         flex;
    display: -webkit-flex;
        align-items: center;
    -webkit-align-items: center;
        justify-content: center;
    -webkit-justify-content: center;
}
.banner_style2 .index-banner-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #000;
    z-index: 1;
}
.banner_style2 .banner-bg{
    width: 100%;
    height: 400px;
    display: block;
    /* position: absolute;
    top: 0;
    left: 0; */
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.banner_style2 .banner-slong-box{
    position: relative;
    z-index: 3;
    color: #FFF;
    display: inline-block;
}
.banner_style2 .index-banner-slong1{
    font-size: 48px;
    font-family: "Abel";
    letter-spacing: 8px;
}
.banner_style2 .banner-line{
    width: 100%;
    height: 1px;
    display: block;
    background-color: #FFF;
}
.banner_style2 .index-banner-slong2{
    display: block;
    text-align: center;
    font-size: 24px;
    font-weight: bold;
    margin-top: 10px;
    font-family: "Microsoft JhengHei";
    letter-spacing: 4px;
}
.banner-bg-box{
    position: absolute;
    width: 100%;
    height: 100%;
    display: block;
}
.banner-bg-list{
    position: relative;
}




/*-------------------------------------*/
.index_products_class_box{
    width: 100%;
    display: block;
    overflow: hidden;
}
.index_products_class_list_box{
    width: 100%;
    display: block;
    font-size: 0;
}
.index-_products_class_list{
    width: calc(100% / 7);
    display: inline-block;
    position: relative;
    box-sizing: border-box;
    border: 1px solid rgba(255,255,255,1);
    border-right: 0;
}
.index_products_class_list_box .index-_products_class_list:first-child{
    border-left: 0;
}
.index_products_class_list_img_box{
    width: 100%;
    height: 360px;
    display: block;
    overflow: hidden;
}
.index_products_class_list_img{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all 1s ease;
}
.index_products_class_list_mask{
    width: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: rgba(0,0,0,0.4);
    display:         flex;
    display: -webkit-flex;
          align-items: center;
    -webkit-align-items: center;
          justify-content: center;
    -webkit-justify-content: center;
    transition: all .5s ease;
}
.index_products_class_list_title{
    font-size: 16px;
    color: #FFF;
    display: block;
    text-align: center;
    letter-spacing: 1px;
}


/*-------------------about---------------------*/
.index_about_box{
    width: 100%;
    display: block;
    padding-top: 70px;
    padding-bottom: 50px;
    position: relative;
}
.index_about_bg_box{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #000; 
    overflow: hidden;   
}
.index_about_bg{
    width: 100%;
    height: 120%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
    opacity: 0.5;
    transition: all .5s ease;
}

.index_about_info_p{
    text-align: center;
}
.index_about_info_box{
    width: 810px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    text-align: center;
    position: relative;
    z-index: 9;
}

.index_about_info_p{
    font-size: 28px;
    -webkit-writing-mode: vertical-lr;
    writing-mode: vertical-lr;
    color: #FFF;
    font-family: "I.Ming";
    margin: 0 auto;
    letter-spacing: 10px;
    transition: all .5s ease;
}
.index_about_info_line1,
.index_about_info_line2{
    width: 1px; 
    display: block;
    background-color: #FFF;
    height: 40px;
    margin:  0 auto;
    transition: all .5s linear;
    transform-origin: top;

}
.index_about_info_icon{
    width: 80px;
    height: 100px;
    max-width: 100%;
    display: block;
    margin: 20px auto;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url(../img/front/index-about-icon.png);
    opacity: 0;
    transition: all .5s ease;

}
.index_about_info{
    width: 100%;
    display: block;
    position: relative;
    font-size: 0;
}
.index_about_line_box{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
}
.index_about-info-article-box{
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
    font-family: "I.Ming";
    padding: 20px 60px;
    box-sizing: border-box;
}
.index_about_info_list{
    display: block;
    padding-bottom: 90px;
}
.index_about_title{
    font-size: 24px;
    letter-spacing: 6px;
    color: #FFF;
    display: inline-block;
    vertical-align: middle;
    padding-left: 10px;
    padding-right: 5px;
    transition: all .5s ease;
}
.index_about_line_top1,
.index_about_line_top2{
    width:calc(50% - 38px);
    box-sizing: border-box;
    display: inline-block;
    height: 1px;
    vertical-align: middle;
    background-color: #FFF;
    transition: all .5s linear;
}
.index_about_info_article_p{
    font-size: 18px;
    text-align: center;
    width: 100%;
    display: block;
    color: #FFF;
    letter-spacing: 8px;
    transition: all .5s ease;
}
.index_about_list_title{
    width: 100%;
    display: block;
    text-align: left;
    font-size: 24px;
    color: #FFF;
    letter-spacing: 10px;
    position: relative;
    padding-left: 8px;
    box-sizing: border-box;
    margin-bottom: 15px;
    transition: all .5s ease;
}
.index_about-info-article-box .index_about_info_list:nth-child(even) .index_about_list_title{
    text-align: right;
    padding: 0;
}
.index_about_list_title:after{
    content: 'none';
    font-size: 0;
    width: 60px;
    height: 1px;
    display: block;
    background-color: #FFF;
    position: absolute;
    left: -60px;
    top: 50%;
    transition: all .3s ease;
}
.index_about-info-article-box .index_about_info_list:nth-child(even) .index_about_list_title:after{
    right: -60px ;
    left: inherit;
}
.index_about_info_article{
    font-size: 14px;
    letter-spacing: 2.3px;
    font-family: "Microsoft JhengHei";
    text-align: justify;
    color: #FFF;
    line-height: 2;
    padding: 0 51px;
    box-sizing: border-box;
    transition: all .5s linear;
}
.index_about_info_end_title{
    font-size: 16px;
    letter-spacing: 2px;
     font-family: "Microsoft JhengHei";
    text-align: justify;
    color: #FFF;
    display: block;
    text-align: center;
    padding: 40px 0;
    transition: all .5s linear;
}
.index_about_line_bottom1,
.index_about_line_bottom2{
    width:calc(50% - 140px);
    box-sizing: border-box;
    display: inline-block;
    height: 1px;
    vertical-align: middle;
    background-color: #FFF;
    transition: all .5s linear;
}
.index_about_title2{
    font-size: 28px;
    font-family: "Abel";
    letter-spacing: 2px;
    color: #FFF;
    display: inline-block;
    vertical-align: middle;
    padding: 0 15px;
    transition: all .5s linear;
}
.index_about_info_list_end{
    font-size: 0;
    display: block;
}
.index_about_line_left{
    width: 1px;
    display: block;
    background-color: #FFF;
    height: calc(100% - 40px);
    position: absolute;
    right: 0;
    top: 19px;
    transition: all .7s linear;
}
.index_about_line_right{
    width: 1px;
    display: block;
    background-color: #FFF;
    height: calc(100% - 40px);
    position: absolute;
    left: 0;
    top: 19px;
    transition: all .7s linear;
}
.index_about_info_line3{
    width: 100%;
    position: absolute;
    bottom: -100px;
    left: 0;
    display: block;
}
.index_about_info_line3_top{
    width: 1px;
    display: block;
    height: 45px;
    background-color: #FFF;
    margin: 0 auto;
}
.index_about_info_line3_bottom{
    width: 1px;
    display: block;
    height: 100px;
    background-color: #d1d1d1;
    margin: 0 auto;
}
.index_about2_list_box{
    width: 1110px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
}
.index_about2_list{
    width: 300px;
    max-width: 100%;
    overflow: hidden;
    display: inline-block;
    vertical-align: top;
}
.index_about2_box{
    padding: 100px 0;
}
.index_about2_list_box{
    padding-top: 30px;
}
.index_about2_title{
    font-size: 20px;
    color: #777;
    text-align: center;
    font-family: "I.Ming";
    letter-spacing: 5px;
    padding-bottom: 10px;
}
.index_about_color_block{
    color: #000;
}
.index_about_color_red{
    color: #e40017;
}
.index_about2_list_img_box{
    width: 100%;
    height: 260px;
    display: block;
    overflow: hidden;
}
.index_about2_list_img{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all .5s ease;
}
.index_about2_list_box .index_about2_list:nth-child(2){
    margin: 0 105px;
}
.index_about2-1_box{
    padding-top: 120px;
    display: block;
}
.index-about-list{
    font-size: 0;
    width: 100%;
    height: 400px
}
.index-about-img,
.index-about-info-box{
    width: 50%;
    height: 100%;
    display: block;
}
.index_about_list-box .index-about-list:nth-child(even) .index-about-img{
    float: left;
}
.index_about_list-box .index-about-list:nth-child(even) .index-about-info-box{
    float: right;
}

.index-about-img{
    float: right;
}
.index-about-info-box{
    float: left;
    background-color: #dddddd;
}
.index-about-info{
    padding: 0 80px;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    display:         flex;
    display: -webkit-flex;
   
          justify-content: center;
    -webkit-justify-content: center;
    flex-direction:column;
    -webkit-flex-direction:column;
}
.index-about-info-title{
    font-size: 20px;
    font-weight: bold;
    letter-spacing: 1px;
    padding-bottom: 10px;
}
.index-about-info-p{
    font-size: 14px;
    letter-spacing: 1px;

}


/*--------------------factory--------------------*/
.index_factory_box{
    width: 100%;
    display: block;
    padding: 100px 0;
    overflow: hidden;
}
.index_factory_title{
    font-size: 24px;
    font-family: "I.Ming";
    letter-spacing: 3px;
    text-align: center;
    margin-bottom: 20px;
}
.index_factory_line{
    width: 1px;
    height: 100px;
    display: block;
    margin: 0 auto;
    background-color: #d1d1d1;
}
.index_factory_list_box{
    width: 100%;
    display: block;
}
.index_factory_list{
    width: 800px;
    height: 600px;
    max-width: 100%;
}
.index_factory_list_img_box{
    width: 100%;
    height: 100%;
    display: block;
}
.index_factory_list_img{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.fancybox-table{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
}
.fancybox-table.active{
    display: table;
}
.table-mid{
    display: table-cell;
    vertical-align: middle;
}
.fancybox-box{
    width: 800px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 3;
}
.fancybox-img-box{
    width: 100%;
    height: 600px;
    display: block;
    margin-bottom: 10px;
    border: 1px solid rgba(255,255,255,0.8);
}
.fancybox-article{
    max-height: calc(100vh - 700px);
    overflow: auto;
}
.fancybox-article-title{
    font-size: 20px;
    color: #FFF;
    letter-spacing: 2px;
}
.fancybox-article-p{
    font-size: 16px;
    display: block;
    color: #FFF;
}

.fancybox-mask-box{
    width: 100%;
    height: 100%;
    display: block;
    background-color: rgba(0,0,0,0.6);
    position: fixed;
    top: 0;
    left: 0;
}
.fancybox-close{
    width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 20px;
    color: #000;
    text-align: center;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #ddd;
    cursor: pointer;
    z-index: 3;
}
.index_factory_box .slick-prev,.index_factory_box .slick-next{
    width: calc(50% - 400px);
    height: 600px;
    z-index: 2;
    background-color: rgba(0,0,0,0.5);
}

.index_factory_box .slick-prev{
    left: 0;
    border-right: 2px solid rgba(255,255,255,0.7);
    box-sizing: border-box;
}
.index_factory_box .slick-prev:before{
    content: '\f191';
    font-weight: bold;
    font-family: "Font Awesome 5 Free";
    display: block;
    width: 100%;
    text-align: right;
    font-size: 40px;
    opacity: 0.7;
    position: relative;
    right: -1px;
}
.index_factory_box .slick-next{
    right: 0;
    border-left: 2px solid rgba(255,255,255,0.7);
    box-sizing: border-box;
}
.index_factory_box .slick-next:before{
    content: '\f152';
    font-weight: bold;
    font-family: "Font Awesome 5 Free";
    display: block;
    width: 100%;
    text-align: left;
    font-size: 40px;
    opacity: 0.7;
    position: relative;
    left: -1px;
}
/*過場動畫*/

.dt-loading-2 {
    width: 100%;
    height: 100vh;
    display: table;
    position: fixed;
    top: 0;
    z-index: 99999;
    transition: all .4s linear;
    background-color: #b68e84;
}

.laying-2 {
   display: table-cell;
   vertical-align: middle;
}

.loading-logo-box{
    width: 461px;
    max-width: 100%;
    display: block;
    position: relative;
    margin: 0 auto;
    overflow: hidden;
}
.loading-log{
    width: 100%;
    display: block;
    position: relative;
 
}
.loading-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    background: #FFF;
    right: 0%;
    animation:  right2 2s linear 0s 1 forwards;

}

